import { useContext } from 'react';
import ComponentCustomizerContext from "./ComponentCustomizerContext";
const fallBackValue = {};
export default function useComponentCustomizerContext() {
  let componentName = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  const value = useContext(ComponentCustomizerContext);
  return value[componentName] || fallBackValue;
}