"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  ComponentCustomizer: true,
  ComponentCustomizationProvider: true
};
Object.defineProperty(exports, "ComponentCustomizationProvider", {
  enumerable: true,
  get: function get() {
    return _ComponentCustomizationProvider["default"];
  }
});
Object.defineProperty(exports, "ComponentCustomizer", {
  enumerable: true,
  get: function get() {
    return _ComponentCustomizer["default"];
  }
});

var _ComponentCustomizer = _interopRequireDefault(require("./ComponentCustomizer"));

var _ComponentCustomizationProvider = _interopRequireDefault(require("./ComponentCustomizationProvider"));

var _constants = require("../../../helpers/component-customizer/constants");

Object.keys(_constants).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _constants[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _constants[key];
    }
  });
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }