import React from 'react';
import PropTypes from 'prop-types';
import ComponentCustomizerContext from "./context/ComponentCustomizerContext";
export default function ComponentCustomizationProvider(props) {
  const {
    children,
    value
  } = props;
  return /*#__PURE__*/React.createElement(ComponentCustomizerContext.Provider, {
    value: value
  }, children);
}
ComponentCustomizationProvider.propTypes = {
  children: PropTypes.node,
  value: PropTypes.object
};
ComponentCustomizationProvider.defaultProps = {
  value: {}
};