import React from 'react';
import PropTypes from 'prop-types';
import PropertyCustomizerContext from "./context/PropertyCustomizerContext";
export default function PropertyCustomizationProvider(props) {
  const {
    children,
    value
  } = props;
  return /*#__PURE__*/React.createElement(PropertyCustomizerContext.Provider, {
    value: value
  }, children);
}
PropertyCustomizationProvider.propTypes = {
  children: PropTypes.node,
  value: PropTypes.object
};
PropertyCustomizationProvider.defaultProps = {
  value: {}
};