import { useContext } from 'react';
import PropertyCustomizerContext from "./PropertyCustomizerContext";
const fallBackValue = {};
export default function usePropertyCustomizerContext() {
  let componentName = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  const value = useContext(PropertyCustomizerContext);
  return value[componentName] || fallBackValue;
}