"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = ComponentCustomizationProvider;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _ComponentCustomizerContext = _interopRequireDefault(require("./context/ComponentCustomizerContext"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function ComponentCustomizationProvider(props) {
  var children = props.children,
      value = props.value;
  return /*#__PURE__*/_react["default"].createElement(_ComponentCustomizerContext["default"].Provider, {
    value: value
  }, children);
}

ComponentCustomizationProvider.propTypes = {
  children: _propTypes["default"].node,
  value: _propTypes["default"].object
};
ComponentCustomizationProvider.defaultProps = {
  value: {}
};