"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = useComponentCustomizerContext;

var _react = require("react");

var _ComponentCustomizerContext = _interopRequireDefault(require("./ComponentCustomizerContext"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var fallBackValue = {};

function useComponentCustomizerContext() {
  var componentName = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  var value = (0, _react.useContext)(_ComponentCustomizerContext["default"]);
  return value[componentName] || fallBackValue;
}