"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = PropertyCustomizationProvider;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _PropertyCustomizerContext = _interopRequireDefault(require("./context/PropertyCustomizerContext"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function PropertyCustomizationProvider(props) {
  var children = props.children,
      value = props.value;
  return /*#__PURE__*/_react["default"].createElement(_PropertyCustomizerContext["default"].Provider, {
    value: value
  }, children);
}

PropertyCustomizationProvider.propTypes = {
  children: _propTypes["default"].node,
  value: _propTypes["default"].object
};
PropertyCustomizationProvider.defaultProps = {
  value: {}
};