"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = usePropertyCustomizerContext;

var _react = require("react");

var _PropertyCustomizerContext = _interopRequireDefault(require("./PropertyCustomizerContext"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var fallBackValue = {};

function usePropertyCustomizerContext() {
  var componentName = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  var value = (0, _react.useContext)(_PropertyCustomizerContext["default"]);
  return value[componentName] || fallBackValue;
}